Bug 1568225 - [abrt] bluez: btd_adv_manager_refresh(): bluetoothd killed by SIGSEGV
Summary: [abrt] bluez: btd_adv_manager_refresh(): bluetoothd killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1567622
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Don Zickus
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6fe1841e55ba3f06b792b59d709...
: 1569659 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 02:16 UTC by Steve Wysham
Modified: 2018-04-20 10:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-20 10:05:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (5.52 KB, text/plain)
2018-04-17 02:16 UTC, Steve Wysham
no flags Details
File: cgroup (273 bytes, text/plain)
2018-04-17 02:16 UTC, Steve Wysham
no flags Details
File: core_backtrace (2.81 KB, text/plain)
2018-04-17 02:16 UTC, Steve Wysham
no flags Details
File: cpuinfo (1.13 KB, text/plain)
2018-04-17 02:16 UTC, Steve Wysham
no flags Details
File: dso_list (1.70 KB, text/plain)
2018-04-17 02:16 UTC, Steve Wysham
no flags Details
File: environ (176 bytes, text/plain)
2018-04-17 02:16 UTC, Steve Wysham
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-17 02:16 UTC, Steve Wysham
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-17 02:16 UTC, Steve Wysham
no flags Details
File: maps (8.23 KB, text/plain)
2018-04-17 02:16 UTC, Steve Wysham
no flags Details
File: mountinfo (6.20 KB, text/plain)
2018-04-17 02:16 UTC, Steve Wysham
no flags Details
File: open_fds (1.70 KB, text/plain)
2018-04-17 02:16 UTC, Steve Wysham
no flags Details
File: proc_pid_status (1.22 KB, text/plain)
2018-04-17 02:16 UTC, Steve Wysham
no flags Details

Description Steve Wysham 2018-04-17 02:16:11 UTC
Description of problem:
This problem has shown up within the past two days. Probably since some updates...

Version-Release number of selected component:
bluez-5.49-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/bluetooth/bluetoothd
crash_function: btd_adv_manager_refresh
executable:     /usr/libexec/bluetooth/bluetoothd
journald_cursor: s=a44afdfb1f23438faef1afe4ed1c92f5;i=1cb19;b=d6752b509974443f9ba9a76715ec6671;m=373c36c9da;t=569e4600a1e29;x=4c1f75948e91462c
kernel:         4.15.15-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 btd_adv_manager_refresh at src/advertising.c:1176
 #1 settings_changed at src/adapter.c:543
 #2 new_settings_callback at src/adapter.c:573
 #3 request_complete at src/shared/mgmt.c:261
 #4 can_read_data at src/shared/mgmt.c:353
 #5 watch_callback at src/shared/io-glib.c:170

Comment 1 Steve Wysham 2018-04-17 02:16:17 UTC
Created attachment 1422854 [details]
File: backtrace

Comment 2 Steve Wysham 2018-04-17 02:16:18 UTC
Created attachment 1422855 [details]
File: cgroup

Comment 3 Steve Wysham 2018-04-17 02:16:20 UTC
Created attachment 1422856 [details]
File: core_backtrace

Comment 4 Steve Wysham 2018-04-17 02:16:22 UTC
Created attachment 1422857 [details]
File: cpuinfo

Comment 5 Steve Wysham 2018-04-17 02:16:23 UTC
Created attachment 1422858 [details]
File: dso_list

Comment 6 Steve Wysham 2018-04-17 02:16:24 UTC
Created attachment 1422859 [details]
File: environ

Comment 7 Steve Wysham 2018-04-17 02:16:25 UTC
Created attachment 1422860 [details]
File: exploitable

Comment 8 Steve Wysham 2018-04-17 02:16:27 UTC
Created attachment 1422861 [details]
File: limits

Comment 9 Steve Wysham 2018-04-17 02:16:28 UTC
Created attachment 1422862 [details]
File: maps

Comment 10 Steve Wysham 2018-04-17 02:16:29 UTC
Created attachment 1422863 [details]
File: mountinfo

Comment 11 Steve Wysham 2018-04-17 02:16:30 UTC
Created attachment 1422864 [details]
File: open_fds

Comment 12 Steve Wysham 2018-04-17 02:16:31 UTC
Created attachment 1422865 [details]
File: proc_pid_status

Comment 13 Dark Shenada 2018-04-17 14:27:32 UTC
Similar problem has been detected:

Start/restart bluetoothd or insert new bluetooth hci

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/bluetooth/bluetoothd
crash_function: btd_adv_manager_refresh
executable:     /usr/libexec/bluetooth/bluetoothd
journald_cursor: s=90e54f0a76664308bb359570b87b8864;i=c151;b=6f701f7df27746cdb1d6fd1dfe883831;m=111ef2a0eb;t=56a0bed2e66e1;x=8f202baeb9a12d7e
kernel:         4.15.16-300.fc27.x86_64
package:        bluez-5.49-1.fc27
reason:         bluetoothd killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 14 Steve Wysham 2018-04-18 16:17:49 UTC
Gnome settings for bluetooth: Clicked on one of the listed bluetooth devices.  Gnome-Settings crashed as well as bluetoothd.  This is repeatable for me.

Comment 15 Steve Wysham 2018-04-18 16:41:45 UTC
Similar problem has been detected:

bluez crashed on system  boot.  (Lenovo T420).  This happens more often than not.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/bluetooth/bluetoothd
crash_function: btd_adv_manager_refresh
executable:     /usr/libexec/bluetooth/bluetoothd
journald_cursor: s=a44afdfb1f23438faef1afe4ed1c92f5;i=2d49b;b=21ee86493e5a486ca14897c6e2e68558;m=69bf15;t=56a220ea30d3f;x=b412baab66b2b2c2
kernel:         4.15.16-300.fc27.x86_64
package:        bluez-5.49-1.fc27
reason:         bluetoothd killed by SIGSEGV
rootdir:        /
runlevel:       unknown
type:           CCpp
uid:            0

Comment 16 sajjad 2018-04-19 17:44:00 UTC
*** Bug 1569659 has been marked as a duplicate of this bug. ***

Comment 17 Bastien Nocera 2018-04-20 10:05:42 UTC

*** This bug has been marked as a duplicate of bug 1567622 ***


Note You need to log in before you can comment on or make changes to this bug.